package com.qmth.distributed.print.business.bean.params;


import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.distributed.print.business.entity.ExamTask;
import com.qmth.distributed.print.business.entity.ExamTaskDetail;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @Date: 2021/3/23.
 */
public class ExamTaskApplyParam {

    private ExamTask examTask;
    private ExamTaskDetail examTaskDetail;

    @ApiModelProperty(value = "流程审批人列表")
    @JsonSerialize(using = ToStringSerializer.class)
    private List<Long> approveUserIds;

    public List<Long> getApproveUserIds() {
        return approveUserIds;
    }

    public void setApproveUserIds(List<Long> approveUserIds) {
        this.approveUserIds = approveUserIds;
    }

    public ExamTask getExamTask() {
        return examTask;
    }

    public void setExamTask(ExamTask examTask) {
        this.examTask = examTask;
    }

    public ExamTaskDetail getExamTaskDetail() {
        return examTaskDetail;
    }

    public void setExamTaskDetail(ExamTaskDetail examTaskDetail) {
        this.examTaskDetail = examTaskDetail;
    }
}
